## reptyr 0.3

=== Makefile ===
CFLAGS=-Wall -Werror -D_GNU_SOURCE -g
OBJS=reptyr.o ptrace.o attach.o

PREFIX=/usr/local

all: reptyr

reptyr: $(OBJS)

attach.o: reptyr.h ptrace.h
reptyr.o: reptyr.h
ptrace.o: ptrace.h $(wildcard arch/*.h)

clean:
	rm -f reptyr $(OBJS)

install: reptyr
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -m 755 reptyr $(DESTDIR)$(PREFIX)/bin/reptyr
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 reptyr.1 $(DESTDIR)$(PREFIX)/share/man/man1/reptyr.1

=== debian/changelog ===
reptyr (0.3-2) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes).
  * Build for armhf (Closes: #633750)
  * Enable support for buildflags

 -- Evan Broder <evan@ebroder.net>  Mon, 31 Oct 2011 12:05:33 -0400

reptyr (0.3-1) unstable; urgency=low

  * Initial release (Closes: #613123)

 -- Evan Broder <evan@ebroder.net>  Sun, 10 Jul 2011 08:28:45 -0700

=== debian/control ===
Source: reptyr
Section: misc
Priority: optional
Maintainer: Evan Broder <evan@ebroder.net>
Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
Standards-Version: 3.9.2
Homepage: https://github.com/nelhage/reptyr
Vcs-Git: git://github.com/nelhage/reptyr.git
Vcs-Browser: http://github.com/nelhage/reptyr/tree/debian

Package: reptyr
Architecture: i386 amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for moving running programs between ptys
 reptyr is a utility for taking an existing running program and
 attaching it to a new terminal, and is particularly useful for moving
 a long-running process into a GNU screen session.
 .
 reptyr does a more thorough job of transferring programs than many
 other tools, including the popular "screenify" shell script, because
 it changes the program's controlling terminal. This means that
 actions such as window resizes and interrupts are sent to the process
 from the new terminal.

## reptyr 0.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-Wall -Werror -D_GNU_SOURCE -g
+override CFLAGS+=-Wall -Werror -D_GNU_SOURCE -g
 OBJS=reptyr.o ptrace.o attach.o
 
 PREFIX=/usr/local
@@ -19,3 +19,5 @@
 	install -m 755 reptyr $(DESTDIR)$(PREFIX)/bin/reptyr
 	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
 	install -m 644 reptyr.1 $(DESTDIR)$(PREFIX)/share/man/man1/reptyr.1
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/fr/man1
+	install -m 644 reptyr.fr.1 $(DESTDIR)$(PREFIX)/share/man/fr/man1/reptyr.1

=== debian/changelog ===
reptyr (0.5-1) unstable; urgency=low

  * New release (Closes: #711020):
    - Drop debian/patches/accept-cmd-line-build-flags.patch which was
      accepted upstream
    - Update debian/reptyr.docs
  * Update debian/README.source to be more clear about willingness to
    support NMUs
  * Update to standards version 3.9.4:
    - Update debian/copyright to the release 1.0 copyright-format spec
    - Update Vcs-Git to match new policy

 -- Evan Broder <evan@ebroder.net>  Wed, 05 Jun 2013 16:20:50 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Evan Broder <evan@ebroder.net>
 Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: https://github.com/nelhage/reptyr
-Vcs-Git: git://github.com/nelhage/reptyr.git
+Vcs-Git: git://github.com/nelhage/reptyr.git -b debian
 Vcs-Browser: http://github.com/nelhage/reptyr/tree/debian
 
 Package: reptyr

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

## reptyr 0.6.2

=== Makefile ===
override CFLAGS+=-Wall -Werror -D_GNU_SOURCE -g
OBJS=reptyr.o reallocarray.o attach.o
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
	OBJS += platform/linux/linux_ptrace.o platform/linux/linux.o
endif
ifeq ($(UNAME_S),FreeBSD)
	OBJS += platform/freebsd/freebsd_ptrace.o platform/freebsd/freebsd.o
	LDFLAGS += -lprocstat
endif
# Note that because of how Make works, this can be overriden from the
# command-line.
#
# e.g. install to /usr with `make PREFIX=/usr`
PREFIX=/usr/local

all: reptyr

reptyr: $(OBJS)

ifeq ($(DISABLE_TESTS),)
test: reptyr test/victim PHONY
	python test/basic.py
	python test/tty-steal.py
else
test: all
endif

VICTIM_CFLAGS ?= $(CFLAGS)
VICTIM_LDFLAGS ?= $(LDFLAGS)
test/victim: test/victim.o
test/victim: override CFLAGS := $(VICTIM_CFLAGS)
test/victim: override LDFLAGS := $(VICTIM_LDFLAGS)

attach.o: reptyr.h ptrace.h
reptyr.o: reptyr.h reallocarray.h
ptrace.o: ptrace.h platform/platform.h $(wildcard platform/*/arch/*.h)

clean:
	rm -f reptyr $(OBJS) test/victim.o test/victim

install: reptyr
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -m 755 reptyr $(DESTDIR)$(PREFIX)/bin/reptyr
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 644 reptyr.1 $(DESTDIR)$(PREFIX)/share/man/man1/reptyr.1
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/fr/man1
	install -m 644 reptyr.fr.1 $(DESTDIR)$(PREFIX)/share/man/fr/man1/reptyr.1

.PHONY: PHONY

=== debian/changelog ===
reptyr (0.6.2-1) unstable; urgency=low

  * New release:
    - Fixup build for tests by adding Python dependencies and disabling
      tests when Yama would not allow them to run
  * Bump standards version to 3.9.6 (no changes).

 -- Evan Broder <evan@ebroder.net>  Sun, 08 Feb 2015 14:13:04 -1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: misc
 Priority: optional
 Maintainer: Evan Broder <evan@ebroder.net>
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), python, python-pexpect
+Standards-Version: 3.9.6
 Homepage: https://github.com/nelhage/reptyr
 Vcs-Git: git://github.com/nelhage/reptyr.git -b debian
 Vcs-Browser: http://github.com/nelhage/reptyr/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,11 @@
 
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
+
+# reptyr's test suite relies on being able to ptrace non-child
+# processes, which isn't allowed under yama's defaults on Ubuntu
+override_dh_auto_test:
+	if ! [ -f /proc/sys/kernel/yama/ptrace_scope ] || \
+	  [ "$$(cat /proc/sys/kernel/yama/ptrace_scope)" = 0 ]; then \
+	  dh_auto_test; \
+	fi

=== debian/watch ===
version=3
http://githubredir.debian.net/github/nelhage/reptyr/reptyr-(.*).tar.gz

## reptyr 0.9.0

=== Makefile ===
override CFLAGS := -MD -Wall -Werror -D_GNU_SOURCE -g $(CFLAGS)
OBJS=reptyr.o reallocarray.o attach.o
DEPS=$(wildcard *.d platform/*/*.d)
UNAME_S := $(shell uname -s)
ifeq ($(UNAME_S),Linux)
	OBJS += platform/linux/linux_ptrace.o platform/linux/linux.o
endif
ifeq ($(UNAME_S),FreeBSD)
	OBJS += platform/freebsd/freebsd_ptrace.o platform/freebsd/freebsd.o
	LDFLAGS += -lprocstat
endif
# Note that because of how Make works, this can be overridden from the
# command-line.
#
# e.g. install to /usr with `make PREFIX=/usr`
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

PKG_CONFIG ?= pkg-config
PYTHON_CMD ?= python2

all: reptyr

reptyr: $(OBJS)

ifeq ($(DISABLE_TESTS),)
test: reptyr test/victim PHONY
	$(PYTHON_CMD) test/basic.py
	$(PYTHON_CMD) test/tty-steal.py
else
test: all
endif

VICTIM_CFLAGS ?= $(CFLAGS)
VICTIM_LDFLAGS ?= $(LDFLAGS)
test/victim: test/victim.o
test/victim: override CFLAGS := $(VICTIM_CFLAGS)
test/victim: override LDFLAGS := $(VICTIM_LDFLAGS)

clean:
	rm -f reptyr $(OBJS) test/victim.o test/victim $(DEPS)

BASHCOMPDIR ?= $(shell $(PKG_CONFIG) --variable=completionsdir bash-completion 2>/dev/null)

install: reptyr
	install -d -m 755 $(DESTDIR)$(BINDIR)
	install -m 755 reptyr $(DESTDIR)$(BINDIR)/reptyr
	install -d -m 755 $(DESTDIR)$(MANDIR)/man1
	install -m 644 reptyr.1 $(DESTDIR)$(MANDIR)/man1/reptyr.1
	install -d -m 755 $(DESTDIR)$(MANDIR)/fr/man1
	install -m 644 reptyr.fr.1 $(DESTDIR)$(MANDIR)/fr/man1/reptyr.1
	bashcompdir=$(BASHCOMPDIR) ; \
	test -z "$$bashcompdir" && bashcompdir=/etc/bash_completion.d ; \
	install -d -m 755 $(DESTDIR)$$bashcompdir ; \
	install -m 644 reptyr.bash $(DESTDIR)$$bashcompdir/reptyr

.PHONY: PHONY

# Pull-in dependencies generated by -MD
-include $(OBJS:.o=.d)

=== test/requirements.txt ===
pexpect
python-prctl>1.6

=== debian/changelog ===
reptyr (0.9.0-1) unstable; urgency=medium

  * Acknowledge NMUs. (Thank you!)
  * New upstream release
    - Fixes FTBFS (due to test failure) on powerpc.
    - Enable riscv64 build, which is now supported.
  * Use upstream detection of bash-completion install directory.
  * Restore and cleanup logic to suppress tests in environments where
    they will fail (such as Ubuntu).

 -- Evan Broder <evan@ebroder.net>  Wed, 15 Jun 2022 16:11:19 -0700

reptyr (0.8.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #925244)
  * Packages build for arm64, powerpc, ppc64el (Closes: #944501, #945352)
  * Re-enabled tests (Closes: #890120)

 -- Dima Kogan <dkogan@debian.org>  Tue, 31 May 2022 23:55:23 -0700

reptyr (0.6.2-1.3) unstable; urgency=medium

  * Switch to Python 3 (Closes: #938354)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 03 Apr 2020 19:45:32 +0200

reptyr (0.6.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable tests for while - fix FTBFS. (Closes: #889702)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 07 Feb 2018 12:50:10 +0100

reptyr (0.6.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches from upstream to fix FTBFS. (Closes: #853640)
  * debian/control:
    - Bump dh version to 11, 7 is deprecated.
    - Use secure VCS links.
    - Bump standards version to 4.1.3 (no changes).
  * Fix watch file.
  * debian/rules:
    - Enable build-time hardening.
    - Fix FTBFS when /dev/tty0 does not exists.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 27 Jan 2018 18:37:40 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: misc
 Priority: optional
 Maintainer: Evan Broder <evan@ebroder.net>
-Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), python, python-pexpect
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13),
+               pkg-config,
+               bash-completion,
+               python3,
+               python3-pexpect
+Standards-Version: 4.6.0
 Homepage: https://github.com/nelhage/reptyr
-Vcs-Git: git://github.com/nelhage/reptyr.git -b debian
-Vcs-Browser: http://github.com/nelhage/reptyr/tree/debian
+Vcs-Git: https://github.com/nelhage/reptyr.git -b debian
+Vcs-Browser: https://github.com/nelhage/reptyr/tree/debian
 
 Package: reptyr
-Architecture: i386 amd64 armel armhf
+Architecture: i386 amd64 armel armhf arm64 powerpc ppc64el riscv64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tool for moving running programs between ptys
  reptyr is a utility for taking an existing running program and

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(shell dpkg-buildflags --export=configure)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_auto_test:
	# reptyr's test suite relies on being able to ptrace non-child
	# processes, which isn't allowed under yama's defaults on Ubuntu
	if [ -f /proc/sys/kernel/yama/ptrace_scope ] && \
	  [ "$$(cat /proc/sys/kernel/yama/ptrace_scope)" != 0 ]; then \
	  echo 'disabling tests (yama is enabled)'; \
	elif ! [ -f /dev/tty0 ]; then \
	  echo 'disabling tests (no TTY available)'; \
	else \
	  dh_auto_test -- PYTHON_CMD=python3; \
	fi

=== debian/watch ===
version=4
https://github.com/nelhage/reptyr/tags .*/reptyr-(\d\S+)\.tar\.gz

## reptyr 0.10.0

=== debian/changelog ===
reptyr (0.10.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1064463
  * Maintain package in Debian team on Salsa
  * d/watch: version=5
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * d/copyright: Align license name

  [ zhangdandan ]
  * Add support for loongarch64
    Closes: #1076135

 -- Andreas Tille <tille@debian.org>  Thu, 19 Feb 2026 17:01:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: reptyr
 Section: misc
-Priority: optional
 Maintainer: Evan Broder <evan@ebroder.net>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
+               pkgconf,
                bash-completion,
                python3,
                python3-pexpect
-Standards-Version: 4.6.0
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/debian/reptyr
+Vcs-Git: https://salsa.debian.org/debian/reptyr.git
 Homepage: https://github.com/nelhage/reptyr
-Vcs-Git: https://github.com/nelhage/reptyr.git -b debian
-Vcs-Browser: https://github.com/nelhage/reptyr/tree/debian
 
 Package: reptyr
-Architecture: i386 amd64 armel armhf arm64 powerpc ppc64el riscv64
+Architecture: i386 amd64 armel armhf arm64 powerpc ppc64el riscv64 loong64
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tool for moving running programs between ptys
  reptyr is a utility for taking an existing running program and

=== debian/watch ===
Version: 5

Template: Github
Owner: nelhage
Project: reptyr
